datacache <- new.env(hash=TRUE, parent=emptyenv())

drosophila2dmug <- function() showQCData("drosophila2dmug", datacache)
drosophila2dmug_dbconn <- function() dbconn(datacache)
drosophila2dmug_dbfile <- function() dbfile(datacache)
drosophila2dmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
drosophila2dmug_dbInfo <- function() dbInfo(datacache)

drosophila2dmugORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "drosophila2dmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("FLYCHIP_DB", "drosophila2dmug", "chip drosophila2dmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(drosophila2dmug_dbconn())
}

